.main-nav__list {
    display: flex;
    justify-content: center;
    gap: 10px;
    list-style: none;
    margin: 0px;
    padding: 0px;
    height: 3rem;
    align-items: center;
}

.main-nav__link {
    text-decoration: none;
    color: inherit;
    filter: opacity(.5) invert(.5) grayscale(1);
}

.main-nav__link:hover {
    opacity: 1;
    filter: none;

}

.main-nav__link.active {
    font-weight: bolder;
    filter: none;
}

.main-nav__link--historyback {
    font-size: 2rem;
    margin: -2rem 0.5rem;
    cursor: pointer;
}
 

@media (max-width: 350px) {
    .main-nav__list {
        justify-content: stretch;
        padding: 0px 1rem;
    }

    .main-nav__item {
        min-width: 1rem;
        /* BOTH of the following are required for text-overflow */
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}